#!/bin/sh

PROG_NAME='action_recognition'
RUN_DIR="$HOME/omz_demos_python/python_demos/action_recognition/"
DEF_FILE="$HOME/Videos/driver.mp4"
MODEL_FILE1="$HOME/model/intel/FP16/driver-action-recognition-adas-0002-encoder.xml"
MODEL_FILE2="$HOME/model/intel/FP16/driver-action-recognition-adas-0002-decoder.xml"
LABEL_FILE='driver_actions.txt'

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m_en $MODEL_FILE1 -m_de $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -lb $LABEL_FILE -d MYRIAD
