#!/bin/sh

PROG_NAME='benchmark_app'
RUN_DIR="$HOME/build/armv7l/Release/"
MODEL_FILE="$HOME/model/public/FP16/squeezenet1.1.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

if [ $# = 1 ]
then
    MODEL_FILE=$1
elif [ $# = 2 ]
then
    MODEL_FILE=$1
    INPUT_FILE="-i $2"
fi

echo \'command: ./$PROG_NAME -d MYRIAD -m $MODEL_FILE $INPUT_FILE -pc -niter 1000\'

./$PROG_NAME -d MYRIAD -m $MODEL_FILE $INPUT_FILE -pc -niter 1000
