#!/bin/sh

PROG_NAME='human_pose_estimation'
RUN_DIR="$HOME/omz_demos_python/python_demos/human_pose_estimation_demo/"
DEF_FILE="$HOME/Videos/driver.mp4"
MODEL_FILE="$HOME/model/intel/FP16/human-pose-estimation-0001.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

echo python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -at openpose -d MYRIAD -loop 50
python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -at openpose -d MYRIAD
