#!/bin/sh

PROG_NAME='human_pose_estimation_3d_demo'
RUN_DIR="$HOME/omz_demos_python/python_demos/human_pose_estimation_3d_demo/"
DEF_FILE="$HOME/Videos/driver.mp4"
MODEL_FILE="$HOME/model/public/FP16/human-pose-estimation-3d-0001.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m $MODEL_FILE $INPUT_PREF $INPUT_FILE -d MYRIAD
