#!/bin/sh

PROG_NAME='object_detection_demo'
RUN_DIR="$HOME/omz_demos_python/python_demos/object_detection_demo/"
DEF_FILE="$HOME/Videos/car_person.mp4"
MODEL_FILE="$HOME/model/intel/FP32/person-vehicle-bike-detection-crossroad-yolov3-1020.xml"

echo [$PROG_NAME/_16.sh] \'$PROG_NAME \(NCS_\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

python3 $PROG_NAME.py -m $MODEL_FILE $INPUT_PREF $INPUT_FILE -d MYRIAD -at yolo -loop
