#!/bin/sh

PROG_NAME='security_barrier_camera_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Videos/car-detection.mp4"
MODEL_FILE1="$HOME/model/intel/FP16/vehicle-license-plate-detection-barrier-0106.xml"
MODEL_FILE2="$HOME/model/intel/FP16/vehicle-attributes-recognition-barrier-0039.xml"
MODEL_FILE3="$HOME/model/intel/FP16/license-plate-recognition-barrier-0001.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME $INPUT_PREF $INPUT_FILE -m $MODEL_FILE1 -m_va $MODEL_FILE2 -m_lpr $MODEL_FILE3 -d MYRIAD -d_va MYRIAD -d_lpr MYRIAD
