#!/bin/sh

PROG_NAME='handwritten_text_recognition_demo'
RUN_DIR="$HOME/omz_demos_python/python_demos/handwritten_text_recognition_demo/"
DEF_FILE="./data/handwritten_japanese_test.png"
MODEL_FILE="$HOME/model/intel/FP16/handwritten-japanese-recognition-0001.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
fi

python3 $PROG_NAME.py $INPUT_PREF $INPUT_FILE -m $MODEL_FILE -d MYRIAD
