#!/bin/sh

PROG_NAME='text_detection_demo'
RUN_DIR="$HOME/omz_demos_build/intel64/Release/"
DEF_FILE="$HOME/Images/text-img.jpg"
MODEL_FILE1="$HOME/model/intel/FP16/text-detection-0004.xml"
MODEL_FILE2="$HOME/model/intel/FP16/text-recognition-0012.xml"

echo [$PROG_NAME\_16.sh] \'$PROG_NAME \(NCS2\)\' Run !!
cd $RUN_DIR

INPUT_PREF='-i'
if [ $# = 0 ]
then
    INPUT_FILE=$DEF_FILE
elif [ $# = 1 ]
then
    INPUT_FILE=$1
    if [ $1 = 'cam' ]
    then
        INPUT_FILE='0'
    fi
fi

./$PROG_NAME -loop -m_td $MODEL_FILE1 -m_tr $MODEL_FILE2 $INPUT_PREF $INPUT_FILE -d_td MYRIAD
